<?php
/*
Plugin Name: BTC mining calculator
Description: Provides shortcodes for BTC mining calculator
Version: 1.0.3
Author: 99bitcoins.com
Author URI: https://99bitcoins.com/bitcoin-ethereum-mining-calculators-plugin-wordpress/
Contributors: Michael Gusev <mgusev@olovei.com>
*/

require_once __DIR__ . '/vendor/autoload.php';

function the99BitcoinsBtcMiningCalculatorActivation() {
	if ( ! wp_next_scheduled( 'The99BitcoinsBtcMiningCalculatorCron' ) ) {
		wp_schedule_event( current_time( 'timestamp' ), 'hourly', 'The99BitcoinsBtcMiningCalculatorCron' );
		the99BitcoinsBtcMiningCalculatorCron();
		$options = get_option( 'The99Bitcoins\BtcMiningCalculator\Plugin' );
		if ( ! isset( $options['btc_reward'] ) ) {
			$options['btc_reward'] = '12.5';
			if ( get_locale() == 'en_US' ) {
				$options['tooltip_difficulty_factor'] = 'The level of difficulty to mine Bitcoins.';
				$options['tooltip_hash_rate']
				                                      = 'How "fast" is your miner?'
				                                        . ' You can get this from the product page of your miner.';
				$options['tooltip_btc_reward']
				                                      = 'How many Bitcoins are received for each blocked mine.'
				                                        . ' Reward halves every 4 years on average.';
				$options['tooltip_btc_exchange_rate'] = 'How many USD can you get for one Bitcoin.';
				$options['tooltip_pool_fee']          = 'Each mining pool takes a fee from its miners.';
				$options['tooltip_power_watts']
				                                      = 'The amount of power the miner consumes.'
				                                        . ' This is used to calculate your electricity costs and'
				                                        . ' can be found on the product description usually.';
				$options['tooltip_power_cost']
				                                      = 'How much do you get charged for electricity.'
				                                        . ' This can be found out usually on your electric bill'
				                                        . ' or by contacting your electricity supplier.';
				$options['tooltip_hardware_costs']    = 'How much does the miner cost in USD.';
			}
			update_option( 'The99Bitcoins\BtcMiningCalculator\Plugin', $options, 'no' );
		}
	}
}

function the99BitcoinsBtcMiningCalculatorDeactivation() {
	wp_clear_scheduled_hook( 'The99BitcoinsBtcMiningCalculatorCron' );
}

function the99BitcoinsBtcMiningCalculatorCron() {
	\The99Bitcoins\BtcMiningCalculator\Plugin::cron();
}

register_activation_hook( __FILE__, 'the99BitcoinsBtcMiningCalculatorActivation' );
register_deactivation_hook( __FILE__, 'the99BitcoinsBtcMiningCalculatorDeactivation' );
add_action( 'The99BitcoinsBtcMiningCalculatorCron', 'the99BitcoinsBtcMiningCalculatorCron' );

$the99BitcoinsBtcMiningCalculator = new \The99Bitcoins\BtcMiningCalculator\Plugin( array(
	'root'      => __DIR__ . '/',
	'templates' => __DIR__ . '/templates/',
) );
