<?php
/**
 * @var \The99Bitcoins\BtcMiningCalculator\Plugin $this
 * @var string $current_difficulty_factor
 * @var string $btc_reward
 * @var string $btc_exchange_rate
 * @var bool $btc_hide_copyright
 * @var string $notice_css_class
 * @var string $notice_message
 */
?>
<div class="wrap">
	<h1><?php esc_html_e( 'Configuration', '99btc-bmc' ) ?></h1>
	<?php if ( ! empty( $notice_message ) ): ?>
		<div class="<?= $notice_css_class ?>">
			<p><?= $notice_message ?></p>
		</div>
	<?php endif ?>
	<form method="post" novalidate="novalidate">
		<table class="form-table">
			<tr>
				<th scope="row"><label
						for="current_difficulty_factor"><?php esc_html_e( 'Current difficulty factor', '99btc-bmc' ) ?></label></th>
				<td>
					<input class="regular-text" type="number" name="current_difficulty_factor"
					       id="current_difficulty_factor"
					       value="<?php echo esc_attr( $current_difficulty_factor ) ?>"
					       placeholder="<?php esc_html_e( 'Current difficulty factor', '99btc-bmc' ) ?>" pattern="\d*" step="1"/>
				</td>
			</tr>
			<tr>
				<th scope="row"><label for="btc_reward"><?php esc_html_e( 'Current BTC reward per block', '99btc-bmc' ) ?></label></th>
				<td>
					<input class="regular-text" type="number" name="btc_reward" id="btc_reward"
					       value="<?php echo esc_attr( $btc_reward ) ?>"
					       placeholder="<?php esc_html_e( 'Current BTC reward per block', '99btc-bmc' ) ?>" pattern="\d*" step="0.0001">
				</td>
			</tr>
			<tr>
				<th scope="row"><label for="btc_exchange_rate"><?php esc_html_e( 'Current USD/BTC exchange rate', '99btc-bmc' ) ?></label></th>
				<td>
					<input class="regular-text" type="number" name="btc_exchange_rate" id="btc_exchange_rate"
					       value="<?php echo esc_attr( $btc_exchange_rate ) ?>"
					       placeholder="<?php esc_html_e( 'Current USD/BTC exchange rate', '99btc-bmc' ) ?>" pattern="\d*" step="0.0001">
				</td>
			</tr>
			<tr>
				<th scope="row"><label for="btc_exchange_rate"><?php esc_html_e( '99bitcoins.com copyright', '99btc-bmc' ) ?></label></th>
				<td>
					<fieldset>
						<legend class="screen-reader-text">
							<span><?php esc_html_e( '99bitcoins.com copyright', '99btc-bmc' ) ?></span></legend>
						<label for="hide_copyright">
							<input type="hidden" name="btc_hide_copyright" value="">
							<input name="btc_hide_copyright" type="checkbox" id="hide_copyright"
							       value="1" <?= !empty($btc_hide_copyright) ? ' checked' : '' ?>><?php esc_html_e( 'Hide copyright', '99btc-bmc' ) ?></label>
					</fieldset>
				</td>
			</tr>
		</table>
		<?php submit_button(); ?>
	</form>
</div>
