<?php
/**
 * @var \The99Bitcoins\BtcMiningCalculator\Plugin $this
 */
?>
<style type="text/css">
    .tooltip-calc{
        display: inline;
        position: relative;
    }
    .tooltip-calc:hover:after{
        background: #333;
        background: rgba(0,0,0,.8);
        border-radius: 5px;
        bottom: 26px;
        color: #fff;
        content: attr(title);
        left: 20%;
        padding: 5px 15px;
        position: absolute;
        z-index: 98;
        width: 220px;
    }
    .tooltip-calc:hover:before{
        border: solid;
        border-color: #333 transparent;
        border-width: 6px 6px 0 6px;
        bottom: 20px;
        content: "";
        left: 50%;
        position: absolute;
        z-index: 99;
    }
</style>
<form action="" method="get" novalidate>
    <div>
        <table style="margin: 0 auto">
            <tr>
                <td>
                    <?php if ($tooltip_difficulty_factor): ?>
                        <a title="<?= esc_attr($tooltip_difficulty_factor) ?>" class="tooltip-calc"><?php esc_html_e('Difficulty factor', '99btc-bmc') ?></a>
                    <?php else: ?>
                        <?php esc_html_e('Difficulty factor', '99btc-bmc') ?>
                    <?php endif ?></td>
                <td colspan="2">
                    <input type="number" style="min-width: 200px;" name="current_difficulty_factor" value="<?= esc_attr($current_difficulty_factor) ?>"  placeholder="<?php esc_attr_e('Difficulty factor', '99btc-bmc') ?>" pattern="\d*" step="1">
                </td>
            </tr>
            <tr>
                <td>
                    <?php if ($tooltip_hash_rate): ?>
                        <a title="<?= esc_attr($tooltip_hash_rate) ?>" class="tooltip-calc"><?php esc_html_e('Hash rate', '99btc-bmc') ?></a>
                    <?php else: ?>
                        <?php esc_html_e('Hash rate', '99btc-bmc') ?>
                    <?php endif ?>
                </td>
                <td>
                    <input type="number" style="min-width: 200px;" name="hash_rate" value="<?= esc_attr($hash_rate) ?>"  placeholder="<?php esc_attr_e('Hash rate', '99btc-bmc') ?>" pattern="\d*" step="0.00001">
                </td>
                <td>
                    <select name="hash_rate_grade">
                        <?php foreach ($hash_grades as $k => $v): ?>
                            <option value="<?= esc_attr($k) ?>"<?php if ($hash_rate_grade == $k): ?> selected="selected"<?php endif ?>><?php esc_html_e($k, '99btc-bmc') ?></option>
                        <?php endforeach ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td>
                    <?php if ($tooltip_btc_reward): ?>
                        <a title="<?= esc_attr($tooltip_btc_reward) ?>" class="tooltip-calc"><?php esc_html_e('BTC/Block reward', '99btc-bmc') ?></a>
                    <?php else: ?>
                        <?php esc_html_e('BTC/Block reward', '99btc-bmc') ?>
                    <?php endif ?>
                </td>
                <td colspan="2">
                    <input type="number" style="min-width: 200px;" name="btc_reward" value="<?= esc_attr($btc_reward) ?>"  placeholder="<?php esc_attr_e('BTC/Block reward', '99btc-bmc') ?>" pattern="\d*" step="0.00001">
                </td>
            </tr>
            <tr>
                <td>
                    <?php if ($tooltip_btc_exchange_rate): ?>
                        <a title="<?= esc_attr($tooltip_btc_exchange_rate) ?>" class="tooltip-calc"><?php esc_html_e('USD/BTC exchange rate', '99btc-bmc') ?></a>
                    <?php else: ?>
                        <?php esc_html_e('USD/BTC exchange rate', '99btc-bmc') ?>
                    <?php endif ?>
                </td>
                <td colspan="2">
                    <input type="number" style="min-width: 200px;" name="btc_exchange_rate" value="<?= esc_attr($btc_exchange_rate) ?>"  placeholder="<?php esc_attr_e('USD/BTC exchange rate', '99btc-bmc') ?>" pattern="\d*" step="0.00001">
                </td>
            </tr>
            <tr>
                <td>
                    <?php if ($tooltip_pool_fee): ?>
                        <a title="<?= esc_attr($tooltip_pool_fee) ?>" class="tooltip-calc"><?php esc_html_e('Pool Fees %', '99btc-bmc') ?></a>
                    <?php else: ?>
                        <?php esc_html_e('Pool Fees %', '99btc-bmc') ?>
                    <?php endif ?>
                </td>
                <td colspan="2">
                    <input type="number" style="min-width: 200px;" name="pool_fee" value="<?= esc_attr($pool_fee) ?>"  placeholder="<?php esc_attr_e('Leave blank if not sure', '99btc-bmc') ?>" pattern="\d*" step="0.00001">
                </td>
            </tr>
            <tr>
                <td>
                    <?php if ($tooltip_power_watts): ?>
                        <a title="<?= esc_attr($tooltip_power_watts) ?>" class="tooltip-calc"><?php esc_html_e('Power (Watts)', '99btc-bmc') ?></a>
                    <?php else: ?>
                        <?php esc_html_e('Power (Watts)', '99btc-bmc') ?>
                    <?php endif ?>
                </td>
                <td colspan="2">
                    <input type="number" style="min-width: 200px;" name="power_watts" value="<?= esc_attr($power_watts) ?>"  placeholder="<?php esc_attr_e('Leave blank if not sure', '99btc-bmc') ?>" pattern="\d*" step="0.00001">
                </td>
            </tr>
            <tr>
                <td>
                    <?php if ($tooltip_power_cost): ?>
                        <a title="<?= esc_attr($tooltip_power_cost) ?>" class="tooltip-calc"><?php esc_html_e('Power Cost (USD/kWh)', '99btc-bmc') ?></a>
                    <?php else: ?>
                        <?php esc_html_e('Power Cost (USD/kWh)', '99btc-bmc') ?>
                    <?php endif ?>
                </td>
                <td colspan="2">
                    <input type="number" style="min-width: 200px;" name="power_cost" value="<?= esc_attr($power_cost) ?>"  placeholder="<?php esc_attr_e('Leave blank if not sure', '99btc-bmc') ?>" pattern="\d*" step="0.00001">
                </td>
            </tr>
            <tr>
                <td>
                    <?php if ($tooltip_hardware_costs): ?>
                        <a title="<?= esc_attr($tooltip_hardware_costs) ?>" class="tooltip-calc"><?php esc_html_e('Hardware Costs (USD)', '99btc-bmc') ?></a>
                    <?php else: ?>
                        <?php esc_html_e('Hardware Costs (USD)', '99btc-bmc') ?>
                    <?php endif ?>
                </td>
                <td colspan="2">
                    <input type="number" style="min-width: 200px;" name="hardware_costs" value="<?= esc_attr($hardware_costs) ?>"  placeholder="<?php esc_attr_e('Leave blank if not sure', '99btc-bmc') ?>" pattern="\d*" step="0.00001">
                </td>
            </tr>
        </table>
        <div style="padding: 20px 0;text-align: center">
            <input style="margin:0 auto;" type="submit" value="<?php esc_attr_e('Calculate mining profit', '99btc-bmc') ?>">
        </div>
    </div>
    <input type="hidden" name="action" value="99btc-bmc-calucalate">
</form>
<?php if ($result): ?>
    <div style="padding: 10px 0">
        <h4><?php esc_html_e('Profit calculation', '99btc-bmc') ?></h4>
        <table style="border: 0; width: 100%" border="0">
            <thead>
            <tr>
                <th style="text-align: center"><?php esc_html_e('Duration', '99btc-bmc') ?></th>
                <th style="text-align: center"><?php esc_html_e('Estimated Earnings in BTC', '99btc-bmc') ?></th>
                <?php if ($pool_fee): ?>
                <th style="text-align: center"><?php esc_html_e('Estimated Pool Fees in BTC', '99btc-bmc') ?></th>
                <?php endif ?>
                <!--th style="text-align: center"><?php esc_html_e('Profit in BTC', '99btc-bmc') ?></th-->
                <?php if ($power_watts && $power_cost): ?>
                    <th style="text-align: center"><?php esc_html_e('Estimated Electricity Cost in USD', '99btc-bmc') ?></th>
                <?php endif ?>
                <th style="text-align: center"><?php esc_html_e('Estimated Profit in USD', '99btc-bmc') ?></th>
            </tr>
            </thead>
            <tbody>
            <?php foreach ($result as $duration => $info): ?>
                <tr>
                    <td style="text-align: left"><?php esc_html_e($duration, '99btc-bmc') ?></td>
                    <td style="text-align: right"><?= esc_html($info['btc']) ?></td>
                    <?php if ($pool_fee): ?>
                    <td style="text-align: right"><?= esc_html($info['fee']) ?></td>
                    <?php endif ?>
                    <!--td style="text-align: right"><?= esc_html($info['profit_btc']) ?></td-->
                    <?php if ($power_watts && $power_cost): ?>
                        <td style="text-align: right"><?= esc_html($info['power_price']) ?></td>
                    <?php endif ?>
                    <td style="text-align: right"><?= esc_html($info['profit_usd']) ?></td>
                </tr>
            <?php endforeach ?>
            </tbody>
        </table>
    </div>
<?php endif ?>
<?php if (empty($btc_hide_copyright)): ?>
<div style="text-align: center">
	<small>
		<?php esc_html_e('BTC mining calculator powered by', '99btc-bmc') ?> <a href="https://99bitcoins.com/bitcoin-ethereum-mining-calculators-plugin-wordpress/" target="_blank" rel="nofollow">https://99bitcons.com</a>
	</small>
</div>
<?php endif ?>
